# signs.h File Reference

`#include "oldpool.h"`

Go to the source code of this file.

## Data Structures

struct | Sign

## Defines

#define | FOR_ALL_SIGNS_FROM(ss, start) for (ss = GetSign(start); ss != NULL; ss = (ss->index + 1U < GetSignPoolSize()) ? GetSign(ss->index + 1U) : NULL) if (ss->IsValid())
#define | FOR_ALL_SIGNS(ss) FOR_ALL_SIGNS_FROM(ss, 0)

## Enumerations

enum | { INVALID_SIGN = 0xFFFF }

## Functions

static SignID | GetMaxSignIndex ()
static uint | GetNumSigns ()
static bool | IsValidSignID (uint index)
void | UpdateAllSignVirtCoords ()
| Update the coordinates of all signs.
void | PlaceProc_Sign (TileIndex tile)
| PlaceProc function, called when someone pressed the button if the sign-tool is selected.
void | ShowRenameSignWindow (const Sign *si)
void | DeleteRenameSignWindow (SignID sign)
void | ShowSignList ()

## Variables

SignID | _new_sign_id
bool | _sign_sort_dirty

## Detailed Description

Definition in file signs.h.

## Function Documentation

void PlaceProc_Sign | ( | TileIndex | tile | ) |

PlaceProc function, called when someone pressed the button if the sign-tool is selected.

Parameters:

  | tile | on which to place the sign

Definition at line 194 of file signs.cpp.

References CcPlaceSign(), CMD_MSG, CMD_PLACE_SIGN, and DoCommandP().

void UpdateAllSignVirtCoords | ( |  | ) |

Update the coordinates of all signs.

Definition at line 63 of file signs.cpp.

References UpdateSignVirtCoords().

Referenced by InitializeWindowsAndCaches().